/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package test.compliance.server.support;

/**
 * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
 * @version $Revision: 1.3.2.1 $
 */
public interface InvocationHandlerTestMBean
{
   String getAttribute();

   void setAttribute(String attribute);

   boolean isIsPrimitive();

   void setIsPrimitive(boolean bool);

   Boolean isIsType();

   void setIsType(Boolean bool);

   void invokeNoArgsNoReturn();

   String invokeNoArgs();

   void invokeNoReturn(String parameter);

   String invoke(String parameter);

   Object invokeMixedParameters(String parameter1, int parameter2, Object parameter3);
}